{% extends "base-volunteer-details.html" %}
{% load static %}
{% block profile-content %}
  <button class="button"
          onClick="document.getElementById('volunteer-form-archive-dialog').classList.add('visible')"
          style="float: right">Archive Volunteer</button>
  <h1>
    <span id="header-volunteer-name">{{ volunteer.name }}</span>
    <small>With Sea-Watch since {{ volunteer.joined_at|date }}</small>
  </h1>
  <div class="planner-grid-of-cards">
    <fieldset class="planner--card" style="grid-row: 1 / 3">
      <legend>Personal Data</legend>
      {% include "volunteers/forms/autosave_form_field.html" with field=form.first_name %}
      {% include "volunteers/forms/autosave_form_field.html" with field=form.last_name %}
      {% include "volunteers/forms/autosave_form_field.html" with field=form.phone_number %}
      {% include "volunteers/forms/autosave_form_field.html" with field=form.email %}
      {% include "volunteers/forms/autosave_form_field.html" with field=form.date_of_birth cls="narrow" %}
      {% include "volunteers/forms/autosave_form_field.html" with field=form.gender cls="narrow" %}
      {% include "volunteers/forms/autosave_form_field.html" with field=form.nationalities %}
      {% include "volunteers/forms/autosave_form_field.html" with field=form.languages cls="wide" %}
    </fieldset>
    <fieldset class="planner--card">
      <legend>Positions at Sea-Watch</legend>
      {% include "volunteers/forms/autosave_form_field.html" with field=form.positions %}
      {% include "seawatch_registration/forms/field.html" with field=form.certificates %}
    </fieldset>
    <fieldset class="planner--card single-textbox" style="grid-column: -2 / -1">
      <legend>Miscellaneous</legend>
      {% include "volunteers/forms/autosave_form_field.html" with field=form.homepage %}
      {% include "volunteers/forms/autosave_form_field.html" with field=form.notes %}
    </fieldset>
  </div>
{% endblock %}
{% block extra_css %}
  {{ block.super }}
  {{ form.media.css }}
{% endblock %}
{% block extra_scripts %}
  {{ block.super }}
  {{ form.media.js }}
{% endblock %}
{% block extra_body_content %}
  {% include "volunteers/volunteer_form_archive_dialog.html" %}
{% endblock %}
